Subject: Re: [eman] SCTE and EMAN: requesting a presentation slot.

From: Brian Hedstrom <[email-masked]>
Date: Mon, 4 Mar 2013 18:54:04 +0000

Bruce and Nevil,
Do I have a slot to present?

Thanks,
Brian Hedstrom
Senior Architect, Business & Operational Support Systems
CableLabs, Inc.
858 Coal Creek Circle
Louisville, CO 80027
Direct: 303.661.3829
eFax: 303.664.8120
Google+: brian.hedstrom
Skype IM: brian.hedstrom
[email-masked]<mailto:[email-masked]>

From: Benoit Claise <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, February 27, 2013 12:12 PM
To: eman mailing list <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Brian Hedstrom <[email-masked]<mailto:[email-masked]>>
Subject: SCTE and EMAN: requesting a presentation slot.

Dear all,

I had a call with SCTE yesterday.
Frank, in the copy list, sent me this SCTE description, and could add some more information if needed:
The Society of Cable Telecommunications Engineers (SCTE) is addressing energy management topics for the cable industry through its Smart Energy Management Initiative (SEMI). There are several sub-committees and working groups within SEMI, one of which is addressing energy measurement and management communications protocols. The scope of this group is to describe a logical Information Model that articulates the entities, attributes, and relationships supported by a wide variety of devices used within the cable environment, define a number of encoding and transport protocols that may be used to support the model, and provide a mapping between a specific protocol definition and the Information Model. There is a lot of overlap between this activity and the work of the IETF EMAN group. It is the hope of the SCTE working group to leverage the work occurring within the IETF to the greatest degree practical. Specifically, we hope to adopt the Information Model defined within the IETF. Members of the working group plan to participate in the IETF  to further refine the information model.
We discussed the EMAN and SCTE scopes and agreed that the two groups want to solve the same problem (as described by http://tools.ietf.org/html/draft-ietf-eman-requirements-12).
The IETF EMAN charter mentions MIB modules (data model), but we all understand that what is key is the information model definition (see RFC 3444), and that future data models could exist in the future (NETCONF, IPFIX, you name it).
And the EMAN framework contains precisely an information model, which is used as input for the MIB module specifications. See http://tools.ietf.org/html/draft-ietf-eman-framework-07#section-5

Brian, also in the copy list, reverse-engineering our MIB modules to create an UML based information model.
SCTE was not aware of the information model definition in the EMAN framework. To tell the truth, it's true that it is a little hidden in the series of EMAN documents.

It will be very valuable for EMAN to see Brian 's UML based information model, to understand if the object semantics are correctly defined, the information model shortcomings, and finally if we lack objects or use the wrong ones.

The good news is that Brian will be attending the IETF.
Nevil, Bruce, can you please organize a slot for Brian to present.
Based on the discussion I had with the SCTE group, that discussion will be very valuable.

Regards, Benoit